LINUX.ORG.RU

emerge --update --deep world упало...


0

0

Сабж,вот на этом этапе:

 /usr/bin/install -c -m 644 'emblem-symbolic-link.png' '/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/image//usr/share/icons/gno
me/8x8/emblems/emblem-symbolic-link.png'
(cd /var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/image//usr/share/icons/gnom
e/8x8 && /usr/libexec/icon-name-mapping -c emblems)
Can't locate object method "new" via package "XML::LibXML::SAX::Parser" at /usr/lib/perl5/vendor_perl/5.8.8/XML/SAX/ParserFactory.pm line 43.
make[3]: *** [install-data-local] Ошибка 2
make[3]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18
.0/8x8/emblems'
make[2]: *** [install-am] Ошибка 2
make[2]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18
.0/8x8/emblems'
make[1]: *** [install-recursive] Ошибка 1
make[1]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18
.0/8x8'
make: *** [install-recursive] Ошибка 1

Можноли  временно "забанить" установку gnome-icon-theme-2.18.0 и продолжить emerge --resume,если можно то как? 
anonymous

Re: emerge --update --deep world упало...

читай маны про /etc/portage/package.mask

Deleted ()

Re: emerge --update --deep world упало...

а если сделать сначала апдейт portage tree, потом заапдейтить пэкэдж, содержащий этот самый ParserFactory.pm а уж потом emerge --update --deep world - не пробовал ?

sasha999 ★★★★ ()

Re: emerge --update --deep world упало...

Отбой.Сделал emerge XML-SAX, emerge --resume пока собираецо(тьфу... тьфу... тьфу...)

anonymous ()
Ответ на: Re: emerge --update --deep world упало... от SI

Re: emerge --update --deep world упало...

>Нда - напоминает рекомендацию техподдержки провайдера - а вы пересоздали соединение ?

Нда...стиль ответа напоминает упражнение из Коан`ов.

anonymous ()

Re: emerge --update --deep world упало...

> Можноли временно "забанить" установку gnome-icon-theme-2.18.0 и продолжить emerge --resume,если можно то как?

emerge --resume --skipfirst

anonymous ()

Re: emerge --update --deep world упало...

А, вообще, не используй --deep без надобности. Чревато. И часто бессмысленно.

KRoN73 ★★★★★ ()
Ответ на: Re: emerge --update --deep world упало... от JB

Re: emerge --update --deep world упало...

>почему?

Потому что требует _обязательного_ revdep-rebuild. При --deep будут обновляться и библиотеки, которые обновлять не обязательно. Текущие версии которых итак удовлетворяют зависимостям. Если же ты их обновляешь, то придётся пересобирать и пакеты, которые от этих библиотек зависят. Сам emerge этого делать не может. Потребуется revdep-rebuild... Если он к этому времени будет работать :D Ибо может возникнуть ситуация, когда отвалится какая-то из систем, нужных для самого emerge.

В общем, --deep - опасный параметр.

KRoN73 ★★★★★ ()

Re: emerge --update --deep world упало...

Это они не так давно поломали Перловые библиотеки. Рекомендую пересобрать все эти либы:

equery l | grep dev-perl

the_one ()

Re: emerge --update --deep world упало...

emerge -1 XML-SAX

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.